English:

The Free and Open Productivity Suite
New: Apache OpenOffice 4.1.1 released!

CVE-2010-4643

Security Vulnerability in OpenOffice.org related to TGA file processing

1. Impact

A security vulnerability in OpenOffice.org, related to TGA file processing, may allow a remote unprivileged user to execute arbitrary code on the system with the privileges of a local user running OpenOffice.org, if the local user opens a crafted TGA file provided by the remote user.
Note: TGA files could be embedded in many different document types, including all kind of ODF and MS Office documents.

2. Affected releases

Note: Earlier versions of OpenOffice.org are no longer supported and will not be evaluated regarding this issue.

3. Symptoms

There are no predictable symptoms that would indicate this issue has occurred.

4. Relief/Workaround

To workaround the described issue, do not load documents from untrusted sources.

5. Resolution

This issue is addressed in the following release: OpenOffice.org 3.3

6. Comments

OpenOffice.org acknowledges with thanks, babi working with Beyond Security's SecuriTeam Secure Disclosure program.


Security Home -> Bulletin -> CVE-2010-4643

Logo ApacheCon Europe 2014

Apache Feather

Copyright & License | Privacy | Website Feedback | Contact Us | Donate | Thanks

Apache, the Apache feather logo, and OpenOffice are trademarks of The Apache Software Foundation. OpenOffice.org and the seagull logo are registered trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.